Holger's Java API

## com.antelmann.sql
Enum Connector.DBType

    java.lang.Object
      java.lang.Enum<Connector.DBType>
          com.antelmann.sql.Connector.DBType

All Implemented Interfaces:
  Serializable, Comparable<Connector.DBType>

Enclosing class:
  Connector

    public static enum Connector.DBType

extends Enum<Connector.DBType>

supported database types transparently supported by the Connector class

Enum Constant Summary
`Firebird`
`HSQLDB`
`JavaDB`
`MySQL`
`ODBC`
`SAPDB`
`SQLite`
`SQLServer`

Method Summary
`static Connector.DBType` `fromString(String str)` makes a guess what type you may have meant; allows for a very loose way to enter a server type
`static Connector.DBType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Connector.DBType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MySQL

    public static final Connector.DBType MySQL

### SQLServer

    public static final Connector.DBType SQLServer

### JavaDB

    public static final Connector.DBType JavaDB

### HSQLDB

    public static final Connector.DBType HSQLDB

### SQLite

    public static final Connector.DBType SQLite

### SAPDB

    public static final Connector.DBType SAPDB

### Firebird

    public static final Connector.DBType Firebird

### ODBC

    public static final Connector.DBType ODBC

Method Detail

### values

    public static Connector.DBType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Connector.DBType c : Connector.DBType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Connector.DBType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### fromString

    public static Connector.DBType fromString(String str)

  makes a guess what type you may have meant; allows for a very loose way to enter a server type

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads